<?php

    if ( class_exists('WP_Widget') ) {  

        require_once(get_template_directory().'/inc/widgets/widget-trposts.php');
        require_once(get_template_directory().'/inc/widgets/widget-trfilterpornstars.php');
        require_once(get_template_directory().'/inc/widgets/widget-abcpornstars.php');
        require_once(get_template_directory().'/inc/widgets/widget-ads.php');
        require_once(get_template_directory().'/inc/widgets/widget-taxonomies.php');
        require_once(get_template_directory().'/inc/widgets/widget-trmenu.php');
        require_once(get_template_directory().'/inc/widgets/widget-trsocial.php');
    
        if ( !function_exists('tr_theme_register_widgets') ) {
            function tr_theme_register_widgets() {
                register_widget('WP_Widget_Trposts');
                register_widget('WP_Widget_Trfilterpornstars');
                register_widget('WP_Widget_Trabcpornstars');
                register_widget('WP_Widget_Trads');
                register_widget('WP_Widget_Trtaxonomies');
                register_widget('WP_Widget_Trmenu');
                register_widget('WP_Widget_Trsocial');
            }
        }

        add_action('widgets_init', 'tr_theme_register_widgets'); 
        
    }

?>