<?php
/*
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if(tr_config('comments')==1){
if ( post_password_required() ) {
	return;
}
?>
								<!--<Comments>-->
								<div class="ClpsCn" id="comments">
									<input type="checkbox" id="Clps-Com" hidden="hidden" <?php tr_config('layout_comments_open', true); ?>>
									<div class="ClpsTp SectionTitle fa-comments Clr1">
                                    <?php printf( __('%s%s%s Comments', TR_THEMENAME), '<strong>', number_format_i18n(get_comments_number()), '</strong>' ); ?>
									<label for="Clps-Com" class="SwHdBtn fa-plus Clr3"><span class="fa-minus"></span></label></div>
									<div class="ClpsBd">
										<div>
										    <?php if ( have_comments() ) : ?>
											<!--<ListCommts>-->
											<ul class="ListCommts">
											    <?php wp_list_comments( array( 'callback' => 'tr_theme_comment' ) ); ?>
											</ul>
											<!--</ListCommts>-->
											<?php endif; // end have_comments() ?>
                                            <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
                                                <?php echo tr_pagination(2,' navcom'); ?>
                                            <?php endif; ?>
											<?php if ( comments_open() ) : ?>
											<div class="RespondTt" id="respond">
												<div class="ClpsTp SectionTitle fa-comment Clr1"><?php _e('LEAVE A REPLY'); ?></div>
                                                <div class="cancel-comment-reply">
                                                    <span><?php cancel_comment_reply_link(); ?></span>
                                                </div>
												<form id="commentform" action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" name="commentform" class="comment-form">
                                                    <?php if ( is_user_logged_in() ) : ?>
                                                    <p><?php printf(__( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>' ),admin_url( 'profile.php' ), $user_identity, wp_logout_url()); ?></p>
                                                    <?php else : ?>
													<ul class="ListForm DX Row Cols D04">
														<li>
															<div class="Form-Group">
																<label class="Form-Icon">
                                                                    <input id="author" name="author" type="text" value="<?php echo esc_attr($commenter['comment_author'] ); ?>" placeholder="<?php _e('Name', TR_THEMENAME); ?>" size="30">
																	<i class="fa-user"></i>
																</label>
															</div>
														</li>
														<li>
															<div class="Form-Group">
																<label class="Form-Icon">
                                                                    <input id="email" name="email" type="text" value="<?php echo esc_attr(  $commenter['comment_author_email'] ); ?>" placeholder="<?php _e('Email', TR_THEMENAME); ?>" size="30">
																	<i class="fa-envelope"></i>
																</label>
															</div>
														</li>
														<li>
															<div class="Form-Group">
																<label class="Form-Icon">
                                                                    <input id="url" name="url" type="text" value="<?php echo esc_attr(  $commenter['comment_author_url'] ); ?>" placeholder="<?php _e('Website', TR_THEMENAME); ?>" size="30">
																	<i class="fa-globe"></i>
																</label>
															</div>
														</li>
													</ul>
													<?php endif; ?>
													<div class="Form-Group">
														<label class="Form-Icon">
                                                            <textarea id="comment" name="comment" cols="66" rows="6" placeholder="<?php _e('Your comment here...', TR_THEMENAME); ?>" aria-required="true"></textarea>
															<i class="fa-comment"></i>
														</label>
													</div>
													<div class="Form-Group">
													    <button type="submit"><?php _e('Post Comment', TR_THEMENAME); ?></button>
                                                    </div>
													<div class="comment-notes"><?php _e('Your email address will not be published.', TR_THEMENAME); ?></div>
                                                    <?php comment_id_fields(); ?> 
                                                    <?php do_action('comment_form', $post->ID); ?>
												</form>
											</div>
											<?php endif; ?>
										</div>
									</div>
								</div>
								<!--</Comments>-->
<?php } ?>