<?php

class WP_Widget_Trfilterpornstars extends WP_Widget {

	public function __construct() {
		$widget_ops = array('classname' => 'widget_trfilterpornstars', 'description' => __( "Widget to filter pornstars by different characteristics", TR_THEMENAMEOPTIONS) );
		parent::__construct('tr-filterpornstars', __('TR FilterPornstars', TR_THEMENAMEOPTIONS), $widget_ops);
		$this->alt_option_name = 'widget_trfilterpornstars';
	}

	public function widget( $args, $instance ) {
		if ( ! isset( $args['widget_id'] ) ) {
			$args['widget_id'] = $this->id;
		}

		$title = ( ! empty( $instance['title'] ) ) ? $instance['title'] : __( 'Filter by pornstars', TR_THEMENAME );

		/** This filter is documented in wp-includes/widgets/class-wp-widget-pages.php */
		$title = apply_filters( 'widget_title', $title, $instance, $this->id_base );
        
		$show_age = isset( $instance['show_age'] ) ? $instance['show_age'] : false;
		$show_breast = isset( $instance['show_breast'] ) ? $instance['show_breast'] : false;
		$show_hair = isset( $instance['show_hair'] ) ? $instance['show_hair'] : false;
		$show_ethnicity = isset( $instance['show_ethnicity'] ) ? $instance['show_ethnicity'] : false;
		$show_country = isset( $instance['show_country'] ) ? $instance['show_country'] : false;
		$show_country_all = isset( $instance['show_country_all'] ) ? $instance['show_country_all'] : false;
?>
        <!--<Filter>-->
        <div class="TtBxCn">
            <?php if ( $title ) { ?>
            <div class="TtBxTp"><?php echo $title; ?></div>
            <?php } ?>
            <form action="<?php echo get_page_link(tr_config('page_id_pornstars')); ?>" method="get" name="tr_filter_pornstars">
                <?php if($show_age){ ?>
                <div class="Filter">
                    <p class="Clr1"><strong><?php _e('AGE', TR_THEMENAME); ?></strong></p>
                    <ul class="ListFilter DX Row Cols D04">
                        <?php
                            if(isset($_GET['age'])){
                                $explode_age = explode('-', sanitize_text_field($_GET['age']));
                            }else{
                                $explode_age[0] = '';
                            }
                        ?>
                        <li><input type="radio" name="age" id="yrs-a" hidden="hidden" value="18-20" <?php checked( intval($explode_age[0]), '18' ); ?>><label for="yrs-a">18-20</label></li>
                        <li><input type="radio" name="age" id="yrs-b" hidden="hidden" value="21-34" <?php checked( intval($explode_age[0]), '21' ); ?>><label for="yrs-b">21-34</label></li>
                        <li><input type="radio" name="age" id="yrs-c" hidden="hidden" value="35-50" <?php checked( intval($explode_age[0]), '35' ); ?>><label for="yrs-c">35-50</label></li>
                        <li><input type="radio" name="age" id="yrs-d" hidden="hidden" value="50" <?php checked( intval($explode_age[0]), '50' ); ?>><label for="yrs-d">50+</label></li>
                    </ul>
                </div>
                <?php } ?>
                <?php if($show_breast){ ?>
                <div class="Filter">
                    <p class="Clr1"><strong><?php _e('BREAST', TR_THEMENAME); ?></strong></p>
                    <ul class="ListFilter DX Row Cols D04">
                        <?php echo tr_terms_pornstar_filter('breasts', 'breasts'); ?>
                    </ul>
                </div>
                <?php } ?>
                <?php if($show_hair){ ?>
                <div class="Filter">
                    <p class="Clr1"><strong><?php _e('HAIR COLOR', TR_THEMENAME); ?></strong></p>
                    <ul class="ListFilter DX Row Cols D06">
                        <?php echo tr_terms_pornstar_filter('hair', 'hair'); ?>
                    </ul>
                </div>
                <?php } ?>
                <?php if($show_ethnicity){ ?>
                <div class="Filter">
                    <p class="Clr1"><strong><?php _e('ETHNICITY', TR_THEMENAME); ?></strong></p>
                    <ul class="ListFilter DX Row Cols D06">
                        <?php echo tr_terms_pornstar_filter('ethnicity', 'ethnicity'); ?>
                    </ul>
                </div>
                <?php } ?>
                <?php if($show_country){ ?>
                <div class="Filter">
                    <p class="Clr1"><strong><?php _e('COUNTRY', TR_THEMENAME); ?></strong></p>
                    <div class="TtScroll Country">
                        <ul class="ListFilter">
                            <?php echo tr_terms_pornstar_filter('countries', 'countries', true, $show_country_all); ?>
                        </ul>
                    </div>
                    <button type="submit" class="ApplyFilter"><?php _e('SHOW RESULTS', TR_THEMENAME); ?></button>
                </div>
                <?php } ?>
                <button type="reset" class="ClearFilter trclearfilter"><span class="fa-times"></span><?php _e('CLEAN', TR_THEMENAME); ?></button>
            </form>
        </div>
        <!--</Filter>-->
<?php
	}

	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = sanitize_text_field( $new_instance['title'] );
		$instance['show_age'] = isset( $new_instance['show_age'] ) ? (bool) $new_instance['show_age'] : false;
		$instance['show_breast'] = isset( $new_instance['show_breast'] ) ? (bool) $new_instance['show_breast'] : false;
		$instance['show_hair'] = isset( $new_instance['show_hair'] ) ? (bool) $new_instance['show_hair'] : false;
		$instance['show_ethnicity'] = isset( $new_instance['show_ethnicity'] ) ? (bool) $new_instance['show_ethnicity'] : false;
		$instance['show_country'] = isset( $new_instance['show_country'] ) ? (bool) $new_instance['show_country'] : false;
		$instance['show_country_all'] = isset( $new_instance['show_country_all'] ) ? (bool) $new_instance['show_country_all'] : false;
		return $instance;
	}

	public function form( $instance ) {
		$title     = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
		$show_age = isset( $instance['show_age'] ) ? (bool) $instance['show_age'] : false;
		$show_breast = isset( $instance['show_breast'] ) ? (bool) $instance['show_breast'] : false;
		$show_hair = isset( $instance['show_hair'] ) ? (bool) $instance['show_hair'] : false;
		$show_ethnicity = isset( $instance['show_ethnicity'] ) ? (bool) $instance['show_ethnicity'] : false;
		$show_country = isset( $instance['show_country'] ) ? (bool) $instance['show_country'] : false;
		$show_country_all = isset( $instance['show_country_all'] ) ? (bool) $instance['show_country_all'] : false;
?>
		<p><label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $title; ?>" /></p>

		<p><input class="checkbox" type="checkbox"<?php checked( $show_age ); ?> id="<?php echo $this->get_field_id( 'show_age' ); ?>" name="<?php echo $this->get_field_name( 'show_age' ); ?>" />
		<label for="<?php echo $this->get_field_id( 'show_age' ); ?>"><?php _e( 'Display filter age?', TR_THEMENAMEOPTIONS ); ?></label></p>
		
		<p><input class="checkbox" type="checkbox"<?php checked( $show_breast ); ?> id="<?php echo $this->get_field_id( 'show_breast' ); ?>" name="<?php echo $this->get_field_name( 'show_breast' ); ?>" />
		<label for="<?php echo $this->get_field_id( 'show_breast' ); ?>"><?php _e( 'Display filter breast?', TR_THEMENAMEOPTIONS ); ?></label></p>
		
		<p><input class="checkbox" type="checkbox"<?php checked( $show_hair ); ?> id="<?php echo $this->get_field_id( 'show_hair' ); ?>" name="<?php echo $this->get_field_name( 'show_hair' ); ?>" />
		<label for="<?php echo $this->get_field_id( 'show_hair' ); ?>"><?php _e( 'Display filter color hair?', TR_THEMENAMEOPTIONS ); ?></label></p>
		
		<p><input class="checkbox" type="checkbox"<?php checked( $show_ethnicity ); ?> id="<?php echo $this->get_field_id( 'show_ethnicity' ); ?>" name="<?php echo $this->get_field_name( 'show_ethnicity' ); ?>" />
		<label for="<?php echo $this->get_field_id( 'show_ethnicity' ); ?>"><?php _e( 'Display filter ethnicity?', TR_THEMENAMEOPTIONS ); ?></label></p>
		
		<p><input class="checkbox" type="checkbox"<?php checked( $show_country ); ?> id="<?php echo $this->get_field_id( 'show_country' ); ?>" name="<?php echo $this->get_field_name( 'show_country' ); ?>" />
		<label for="<?php echo $this->get_field_id( 'show_country' ); ?>"><?php _e( 'Display filter country?', TR_THEMENAMEOPTIONS ); ?></label></p>
		
		<p><input class="checkbox" type="checkbox"<?php checked( $show_country_all ); ?> id="<?php echo $this->get_field_id( 'show_country_all' ); ?>" name="<?php echo $this->get_field_name( 'show_country_all' ); ?>" />
		<label for="<?php echo $this->get_field_id( 'show_country_all' ); ?>"><?php _e( 'Show all countries (including empty)?', TR_THEMENAMEOPTIONS ); ?></label></p>
<?php
	}
}