<?php get_header(); ?>
							<!--<main>-->
							<main class="Main" role="main">
                                
                                <?php
                                $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

                                $the_query = new WP_Query( array('post_type' => 'post', 'paged' => $paged, 'meta_key' => 'trrating_porc', 'orderby' => 'meta_value_num', 'category__not_in' => tr_config('categories_blog') ) );
                                
                                if ( $the_query->have_posts() ) :
                                ?>

								<!--<ListPost>-->
								<h1 class="SectionTitle fa-folder-open Clr1"><?php the_title(); ?></h1>
								<ul class="ListPost TtStyA AX Cols Row A12 B06 C04 D04 E03 F20">

                                    <?php
                                        // Start the loop.
                                        while ( $the_query->have_posts() ) :
                                                $the_query->the_post();
                                    ?>							
									<!--<Post>-->
									<li>
										<article id="post-<?php the_ID(); ?>" <?php post_class('Post'); ?>>
											<div class="Picture">
												<figure><a<?php tr_permalink_attr(1, get_the_ID()); ?> rel="bookmark" href="<?php the_permalink(); ?>"><?php echo tr_theme_img(get_the_ID(), 'tblist', get_the_title()); ?></a></figure>
												<?php tr_theme_icons(get_the_ID(), 2,  true); ?>
												<div class="FetPst">
								                    <?php tr_theme_icons(get_the_ID(), 3, true); ?>
													<?php tr_theme_icons(get_the_ID(), 1, true); ?>
												</div>
												<?php tr_theme_icons(get_the_ID(), 4, true); ?>
												<div class="Info">
													<span class="CateLink fa-folder-open Clr2B"><?php tr_category_list_limit(get_the_ID(), 2); ?></span>
													<span><?php echo tr_theme_duration_or_count(get_the_ID()); ?> <?php tr_theme_rating_percentage(get_the_ID()); ?></span>
												</div>
											</div>
											<header>
												<h2 class="Title"><a<?php tr_permalink_attr(1, get_the_ID()); ?> rel="bookmark" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
												<div class="Description">
													<p><?php echo tr_theme_clip_text(strip_tags(get_the_content()), 250); ?></p>
												</div>
											</header>
										</article>
									</li>
									<!--</Post>-->
                                    <?php                                    
                                        // End the loop.
                                        endwhile;
                                    ?>

								</ul>
								<!--</ListPost>-->
								
                                <?php if(function_exists('wp_pagenavi')) { wp_pagenavi( array('query' => $the_query ) ); } ?>
								
							    <?php
                                    // If no content, include the "No posts found" template.
                                    else :
                                        get_template_part( 'inc/404.php' );

                                    endif;
                                    wp_reset_postdata();
                                ?>

							</main>
							<!--</main>-->

<?php get_sidebar(); ?>


<?php get_footer(); ?>